@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;700&family=Montserrat:wght@500;600;700&family=Raleway:wght@400;500;600;700&display=swap');

:root {
  /* Colores */
  --primary: #C50E57;
  --primary-1: #E0416E;
  --ligth: #FF5C6F;
  --shadow-ligth: #FFBEC6;
  --dark: #000;
  --grey: #676666;
  --text: #343A40;
  --info: #ccc;
  --info-border: #818181;
  --background: rgba(217, 217, 217, .6);
  --background-light: #F9F1F2;

  /* BOX SHADOW */
  --box-shadow-card: 4px 4px 25px -2px rgba(0, 0, 0, 0.35);
  --box-shadow-card-1: 15px 15px 4px -2px rgba(0, 0, 0, 0.35);
  --box-shadow-card-2: 0 2px 8px rgba(0, 0, 0, 0.30);
  --box-shadow-card-3: 0 4px 10px -2px rgba(0, 0, 0, 0.6);
  --shadow-img: 0 4px 10px #00000008,
    0 0 2px #0000000f,
    0 2px 6px #0000001f !important;

  /* DROP SHADOW */
  --drop-shadow-button: drop-shadow(0 4px 5px rgba(0, 0, 0, 0.25));
  --drop-shadow-button-2: drop-shadow(0 4px 3px rgba(0, 0, 0, 0.25));

  /* BORDER RADIO */
  --border-radius: 6px;
  --border-radius-nav: 20px;
  --border-radius-card: 25px;
  --border-radius-card-2: 8px;

  /* BACKGROUND MASK */
  --mask: rgba(0, 0, 0, 0.3);
  --mask-dark: rgba(0, 0, 0, 0.5);
  --mask-dark-2: rgba(0, 0, 0, 0.8);

  /* FONT FAMILY */
  --font-title: 'Raleway', sans-serif;
  --font-general: 'Inter', sans-serif;
  --font-botones-nav: 'Montserrat', sans-serif;
}

* {
  outline: 0;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  appearance: none;
  text-decoration: none;
  list-style: none;
  font-family: var(--font-general);
}

html,
body {
  height: 100%;
}

/* SCROLL BAR */
::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar:horizontal {
  height: 5px;
}

::-webkit-scrollbar-thumb {
  background: var(--primary);
}

/* FIN SCROLL BAR */

/* Estilos etiquetas de texto
* font-family: 'Inter', sans-serif; GENERAL --- font-weight: 100, 200, 300, 400, 700;
* font-family: 'Montserrat', sans-serif; BOTONES - NAV-BAR --- font-weight: 500, 600, 700;
* font-family: 'Raleway', sans-serif; TITULOS LABEL --- font-weight: 400, 500 600 700;
*/

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--font-title);
  text-transform: uppercase;
}

label {
  font-family: var(--font-title);
}

.h3-style {
  font-size: 40px;
  font-weight: lighter;
}

.h-shadow {
  text-shadow: 0px 0px 10px var(--primary);
}

.label-fw700 {
  font-weight: 700;
}

.label-fw500 {
  font-weight: 500;
}

.label-fw600 {
  font-weight: 600;
}

/* Fin estilos etiquetas de texto */

/* Estilo etiqueta <a> */
.link_style {
  width: fit-content;
  margin-top: 10px;
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 600;
  letter-spacing: 1.5px;
  color: var(--ligth);
  cursor: pointer;
  transition: color .3s ease;
}

/* Animacion de linea creciente en el hover */
.link_style::after {
  content: '';
  display: block;
  width: 0;
  height: 2px;
  background: var(--primary);
  transition: width .3s;
}

.link_style:hover::after {
  width: 100%;
  transition: width .3s;
}

.link_style:hover {
  color: var(--primary);
}

/* Fin estilo etiqueta <a> */

/* Estilo para el Stock */

.stock {
  border-radius: var(--border-radius);
  padding: 5px 10px;
  font-size: 11px;
  font-weight: bold;
  color: white;
  text-transform: uppercase;
}

.bg-success {
  background-color: #22C55E;
}

.bg-danger {
  background-color: #EF4444;
}

.bg-warning {
  background-color: #F59E0B;
}

/* Fin estilo para el Stock */

/* Estilo imagenes */
.img-cover {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

/* Fin estilo imagenes */

/* Estilos de botones */
button {
  font-family: var(--font-botones-nav);
  font-weight: 700;
  cursor: pointer;
}

.btn {
  width: auto;
  height: 35px;
  padding: 0 10px;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 1px;
  border-radius: var(--border-radius);
  filter: var(--drop-shadow-button);
  transition: transform .3s ease;
}

.btn:hover {
  transform: scale(1.03);
}

.btn-primary-1,
.btn-primary-2,
.btn-primary-3 {
  border: none;
  color: #FFF;
}

.btn-primary-1 {
  background-color: var(--primary);
}

.btn-primary-2 {
  background-color: var(--primary-1);
}

.btn-primary-3 {
  background-color: var(--ligth);
}

.btn-secondary-1 {
  border: 2px solid var(--primary);
  color: var(--primary);
}

.btn-secondary-2 {
  border: 2px solid var(--primary-1);
  color: var(--primary-1);
}

.btn-secondary-3 {
  border: 2px solid var(--ligth);
  color: var(--ligth);
}

.btn-disabled {
  opacity: 0.5 !important;
  cursor: not-allowed !important;
}

/* --- Fin estilo botones --- */

/* Estilo de inputs */
.inpt {
  width: 100%;
  height: 40px;
  border-radius: var(--border-radius);
  border: 2px solid var(--info-border);
  outline: none;
  background: none;
  position: absolute;
  padding-left: 14px;
  padding-right: 5px;
  color: var(--grey);
  transition: box-shadow .3s, border-color .7s;

  &:is(:hover, :focus) {
    border-color: var(--primary);
    box-shadow: 0 0 5px var(--primary);
  }
}

.inpt_secon {
  height: 40px;
  width: 100%;
  padding-left: 10px;
  font-size: 16px;
  color: var(--grey);
  border: 2px solid var(--info-border);
  border-radius: var(--border-radius);
  transition: box-shadow 0.2s, border-color 0.2s;

  &:is(:hover, :enabled:focus) {
    outline: 0 none;
    outline-offset: 0;
    border-color: transparent;
    box-shadow: 0 0 0 0.2rem var(--shadow-ligth);
  }
}

.inpt_label {
  position: absolute;
  left: 14px;
  top: 11px;
  color: var(--grey);
  background-color: #FFF;
  cursor: text;
  transition: top 200ms ease-in, left 200ms ease-in, font-size 200ms ease-in;
}

.txt_field {
  position: relative;
  height: 40px;
  width: 100%;
  margin: 10px 0 !important;
}

.inpt:focus~.inpt_label,
.inpt:not(:placeholder-shown).inpt:not(:focus)~.inpt_label {
  top: -10px;
  left: 10px;
  font-size: 12px;
  font-weight: bold;
  color: var(--primary);
  padding: 0 5px;
}

/* --- Fin estilo inputs --- */

/* --- Estilo Text Area --- */
.text-area {
  height: auto;
}

/* --- Fin estilo Text Area --- */

/* --- Estilo <p> --- */
.p_link {
  transition: color .2s ease;

  &:hover {
    color: var(--ligth);
    cursor: pointer;
  }
}

/* --- Fin estilo <p> --- */

/* --- Estilo agrupación de formulario --- */
.form-group {
  display: flex;
  align-items: center;
  gap: 10px;
}

/* --- Fin agrupación de formulario --- */

/* ========== CAMBIAMOS EL ESTILO DE LOS COMPONENTES DE PRIMENG ========== */
/* --- Estilo Dialogs --- */
.dialog-container-general .modal-container .container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  height: auto;
  padding: 25px 10px 10px 10px;
}

.dialog-container-general .modal-container .containerActions {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: auto;
  margin-top: 10px;
  padding: 0 10px;
}

.dialog-container-general .modal-container .container .txt_field {
  margin: 8px 0;
}

.dialog-container-general .modal-container .container .txt_field i,
.container-cambiar-contrasenia .container .txt_field i {
  position: absolute;
  right: 5%;
  top: 30%;
  color: var(--grey);
}

.dialog-container-general .modal-container .containerActions .ingresar {
  margin-bottom: 10px;
  margin-top: 10px;
  width: 100%;
  height: 36px;
}

.dialog-container-general .p-dialog .p-dialog-header {
  position: relative;
  z-index: 1;
  color: white;
  text-transform: uppercase;
  background: var(--primary);
}

.dialog-container-general .p-dialog .p-dialog-header span {
  font-weight: 700;
}

.dialog-container-general .p-dialog .p-dialog-header .p-dialog-header-icon {
  color: white;
}

.dialog-container-general .p-dialog .p-dialog-header .p-dialog-header-icon:enabled:hover {
  color: var(--primary);
  width: 30px !important;
}

.p-element .p-confirm-dialog {
  .p-dialog-header {
    background: var(--primary);

    & h3 {
      letter-spacing: 1px;
      text-transform: uppercase;
      color: white;
    }
  }

  .p-dialog-content {
    padding-top: 30px;
  }
}

/* --- Fin estilo Dialogs ---*/

/* --- Estilo contenedor foto - información --- */
.content-foto_info {
  display: grid;
  grid-template-columns: 20% 80%;
  gap: 10px;
}

.content-foto_info figure {
  border-radius: var(--border-radius);
}

figure {
  height: 100%;
  width: 100%;
  overflow: hidden;
}

figure img,
.p-image {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.content-foto_info .info {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: flex-start;
}

.content-foto_info .info .nombre {
  text-transform: uppercase;
  font-weight: bold;
}

.p-element.p-inputwrapper {
  padding-left: 0;

  & li {
    padding-left: 10px;
  }

  .p-dropdown {
    height: 100%;
    width: 100%;
    border: none;

    .p-dropdown-label {
      padding: 8px 10px;
    }

    .p-inputtext:hover {
      box-shadow: none;
    }

    .p-dropdown-clear-icon {
      transform: translateY(-50%);
    }
  }
}

/* --- Fin estilo contenedor foto - información --- */

.pac-container {
  z-index: 2000;
}

/* --- Estilo de cuadro de reportes  --- */
.contenedorGrafico {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 430px;
  border-radius: var(--border-radius);
  box-shadow: var(--box-shadow-card-2);

  .chart_size {
    display: flex;
    align-items: flex-end;
    width: 100%;
    height: 100%;

    & div {
      width: 100%;
    }
  }

  .canvas {
    position: absolute;
    bottom: 0;
    height: 90% !important;
  }

  .titulo,
  .ganancia-terminado,
  .ganancia-espera {
    position: absolute;
    text-transform: uppercase;
  }

  .titulo {
    top: 15px;
    left: 15px;
    font-size: 1.3rem;
  }

  .ganancia-terminado,
  .ganancia-espera {
    font-size: 14px;
  }

  .ganancia-terminado {
    bottom: 35px;
    left: 15px;
  }

  .ganancia-espera {
    bottom: 10px;
    left: 15px;
  }
}

@media (300px < width < 750px) {
  /* --- Estilo Dialogs --- */
  .dialog-container-general > .p-element > .p-dialog-mask > .p-element {
    width: 90% !important;
    height: auto !important;
  }

  .dialog-container-general .p-dialog .p-dialog-header .p-dialog-title {
    font-size: 20px !important;
  }
}
